package friend_circles

import "code.fnuoos.com/EggPlanet/egg_system_rules.git/md"

type PublishReq struct {
	Content   string   `json:"content,required"` // 文本内容
	ImageList []string `json:"image_list"`       // 图片
	Video     string   `json:"video"`            // 视屏
}
type MySelfListReq struct {
	Page     int `json:"page"`      // 页码
	PageSize int `json:"page_size"` // 每页数量
}
type MySelfListResp struct {
	Page     int                    `json:"page"`      // 页码
	PageSize int                    `json:"page_size"` // 每页数量
	Total    int64                  `json:"total"`     // 总量
	List     []md.EggFriendCircleEs `json:"list"`
}
type CommentListResp struct {
	CircleIndexId string                           `json:"circle_index_id"`
	Total         int64                            `json:"total"` // 总评论数量
	List          []EggFriendCircleCommentEsStruct `json:"list"`
}

type CommentDetailResp struct {
	CircleIndexId string                           `json:"circle_index_id"`
	Total         int64                            `json:"total"` // 总评论数量
	List          []EggFriendCircleCommentEsStruct `json:"list"`
}

type EggFriendCircleCommentEsStruct struct {
	NickName             string `json:"nickname"`
	AvatarUrl            string `json:"avatar_url"` // 用户头像
	Uid                  int64  `json:"uid" label:"uid"`
	ImUid                int64  `json:"im_uid" label:"im_uid"`
	Kind                 int32  `json:"kind"  label:"类型(1:普通 2:官方)"`
	CircleId             int64  `json:"circle_id" label:"朋友圈id"`
	CommentId            int64  `json:"comment_id" label:"评论id"`
	ReplyCommentNickname int64  `json:"reply_comment_nickname" label:"回复评论的用户昵称"`
	ReplyCommentId       int64  `json:"reply_comment_id" label:"回复评论id"`
	Content              string `json:"content" label:"文本内容"`
	LikesNums            int    `json:"likes_nums" label:"点赞数"`
	CommentNums          int    `json:"comment_nums" label:"评论数"`
	State                int32  `json:"state" label:"状态(1:正常 2:隐藏)"`
	IsPraise             int32  `json:"is_praise" label:"是否被表扬(1:是 2:否)"`
	CreatedAt            string `json:"created_at"`
	UpdatedAt            string `json:"updated_at"`
}
